StepFTPK <- function()
{
#
#  R statistical program script to check transfer function for peak snowpack using stepwise 
#  regression of a multiple linear regression model.
#  Output files are specified throughout the script.
#
#  Set output file name.
#
    sink("OUTPUT/PSWE.FTPK.Stepwise.Check.out")
#
#  Read input files.
#
    CalibData  <- read.table("INPUT/PSWE_TAVE_PREC_STN_FTPK_1992-2011.CALIB.txt", header=TRUE)
#
#  Linear regression for Peak Snow Water Equivalent in a given year.
#
    yy = lm(PEAKSWE ~ 1, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH + TAVEAMJPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH + TAVEAMJPLN + PRECJFMMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH + TAVEAMJPLN + PRECJFMMTN + TAVEONDPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH + TAVEAMJPLN + PRECJFMMTN + TAVEONDPLN + PRECJFMPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECJFMFTH + PRECONDFTH + TAVEAMJPLN + PRECJFMMTN + TAVEONDPLN + PRECJFMPLN + PRECAMJFTH, data=CalibData)
#  Return output to the terminal.
#
    sink()
}
