StepSAKA <- function()
{
#
#  R statistical program script to check transfer function for peak snowpack using stepwise 
#  regression of a multiple linear regression model.
#  Output files are specified throughout the script.
#
#  Set output file name.
#
    sink("OUTPUT/PSWE.SAKA.Stepwise.Check.out")
#
#  Read input files.
#
    CalibData  <- read.table("INPUT/PSWE_TAVE_PREC_STN_SAKA_1992-2011.CALIB.txt", header=TRUE)
#
#  Linear regression for Peak Snow Water Equivalent in a given year.
#
    yy = lm(PEAKSWE ~ 1, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN + PRECJFMMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN + PRECJFMMTN + PRECAMJMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN + PRECJFMMTN + PRECAMJMTN + TAVEONDPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN + PRECJFMMTN + PRECAMJMTN + TAVEONDPLN + PRECONDFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(PEAKSWE ~ PRECONDMTN + PRECJFMMTN + PRECAMJMTN + TAVEONDPLN + PRECONDFTH + TAVEJFMPLN, data=CalibData)
    print(summary(yy))
#
#  Return output to the terminal.
#
    sink()
}
